<?php

require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';

session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/login.php");
	exit;
}
$ses_arr = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_arr['status'];

if ($admin_status <> 1) {
//Ϥ
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/index.php");
	exit;
}

$student_id = "";
$err_msg = "";
$del_flag = "";
/*
if ($_GET <> null) {
	$student_id = $_GET["student_id"];
}
if ($_POST <> null) {
	$del_flag = $_POST["del_flag"];
}*/
if ($_GET <> null) {
	if(isset($_GET['student_id'])) {$student_id = $_GET["student_id"];}
	if (!is_numeric($student_id)) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."admin/member_reg/new_mem_list.php");
		exit;
	}
} else if ($_POST <> null) {
	$del_flag = $_POST["del_flag"];
} else {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/member_reg/new_mem_list.php");
	exit;
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	$student_object = new CStudentTableAccess();
	if ($del_flag == 1) {
//ư
//POST
		$student_id = $_POST['student_id'];
		if (!$student_object->delDat("student_id = ".$student_id, $data_object->conn)) {
			$err_msg .= "ǡκ˼Ԥޤ<br>";
			$err_msg .= $student_object->err_msg;
		} else {
			$data_object->closeDB();
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."admin/member_reg/new_mem_list.php");
			exit;
		}
	}
	$st_data = $student_object->getOneStudent($data_object->conn, $student_id);
	if ($st_data == false) {
		$err_msg ="ǡθ˼Ԥޤ";
	} else {
		$student_nam = mb_convert_encoding($st_data['student_nam'],'EUC-JP', 'UTF-8');
		$login = mb_convert_encoding($st_data['login_id'],'EUC-JP', 'UTF-8');
		$mail_ad = mb_convert_encoding($st_data['mail_ad'],'EUC-JP', 'UTF-8');
		$tel_num = mb_convert_encoding($st_data['tel_num'],'EUC-JP', 'UTF-8');
		$addr = mb_convert_encoding($st_data['addr'],'EUC-JP', 'UTF-8');
		$belong = mb_convert_encoding($st_data['belong'],'EUC-JP', 'UTF-8');
		$comment = nl2br(htmlspecialchars(mb_convert_encoding($st_data['comment'],'EUC-JP', 'UTF-8'),ENT_QUOTES));
		$grade = $GRADE_ARR[$st_data['grade']];
	}
	$data_object->closeDB();
}
$file_nam="mem_detail.php";
$button_txt = "<input type='hidden' name='student_id' value='".$student_id."'>";
$button_txt .= "<input type='hidden' name='del_flag' value=1>";
$button_txt .= "<input type='button' value='' onClick='delStudent()'>";

$show_data = file_get_contents('../../templates/ad_member_reg/mem_detail.tpl');
$show_data = str_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);
$show_data = str_replace(':NAME_REP:', mb_convert_encoding($student_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = str_replace(':LOGIN_REP:', mb_convert_encoding($login,'UTF-8', 'EUC-JP'), $show_data);
$show_data = str_replace(':MAIL_REP:', mb_convert_encoding($mail_ad,'UTF-8', 'EUC-JP'), $show_data);
$show_data = str_replace(':ADDR_REP:', mb_convert_encoding($addr,'UTF-8', 'EUC-JP'), $show_data);
$show_data = str_replace(':TEL_REP:', mb_convert_encoding($tel_num,'UTF-8', 'EUC-JP'), $show_data);
$show_data = str_replace(':BELONG_REP:', mb_convert_encoding($belong,'UTF-8', 'EUC-JP'), $show_data);
$show_data = str_replace(':GRADE_REP:', mb_convert_encoding($grade,'UTF-8', 'EUC-JP'), $show_data);
$show_data = str_replace(':COMMENT_REP:', mb_convert_encoding($comment,'UTF-8', 'EUC-JP'), $show_data);
$show_data = str_replace(':ADDITION:', "", $show_data);
$show_data = str_replace(':FILE_NAME:', mb_convert_encoding($file_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = str_replace(':BUTTON_REP:', mb_convert_encoding($button_txt,'UTF-8', 'EUC-JP'), $show_data);
echo $show_data;
?>
