<?php
/*
 * Ŀͤθؤβ
 */
require_once '../../data/constant.php';

require_once '../../util/make_item.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../util/for_moshi.php';
require_once '../../util/for_practice.php';

require_once '../../data/data_for_test.php';
require_once '../../data/data_for_group.php';


ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

$ses_arr = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_arr['status'];
$admin_id=$ses_arr['teacher_id'];

/*
if (!isset($_REQUEST["moshi_id"]) || !is_numeric($_REQUEST["moshi_id"]) ||
!isset($_REQUEST["uid"]) ||
!is_numeric($_REQUEST["uid"]) ||
!isset($_GET["practice_id"]) || !is_numeric($_GET["practice_id"])) {
*/


if (!isset($_REQUEST["uid"]) ||
!is_numeric($_REQUEST["uid"]) ||
!isset($_GET["practice_id"]) || !is_numeric($_GET["practice_id"])) {

	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
/*
$st_nam = $ses_arr['student_nam'];
$st_id = $ses_arr['student_id'];
*/

$st_nam="";
$st_id = $_REQUEST["uid"];

$practice_id = "";
$question_id = "";

$edit_disp = "none";

//$prac_list_txt = "no data";
$is_already_flaged ="";
$flag_submit_label ="";
$show_other_disp = "none";
$shared_emad_disp = "no data";
$comment_list = "";
$comment_navi = "";
$analysis_list = "";
$prac_disp = "inline";
$text_id = "";

$history="";
$bunpu = "";

if (isset($_REQUEST['practice_id']) && is_numeric($_REQUEST['practice_id'])){
	$practice_id = $_REQUEST['practice_id'];
}

if (isset($_REQUEST['question_id']) && is_numeric($_REQUEST['question_id'])){
	$question_id = $_REQUEST['question_id'];
}



$practice_title = "";
$practice_txt = "";
$answer = "";
$dep = "";
$dep_name="";
$lev = "";
$lev_name="";
$dif = "";
$dif_name="";
$status = "";
$comment = "";
$err_msg = "";
$department_sel = "";
$level_sel="";
$dif_sel = "";
$img_file = "";
$img_url = "";
$is_file_input_display = "inline";
$is_file_exist_display ="none";

$is_avfile_input_display = "inline";
$is_avfile_exist_display ="none";
$av_file ="";
$av_url = "";

$key_word_arr = array();
$item_bango_arr = array();
$item_txt_arr = array();
$item_is_right_arr = array();

$is_keyword_display = "none";
$is_item_display = "none";
$creater_disp = "";
$for_del = "";

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	
	$group_check_obj = new CStPermitAccess();
	if (!$group_check_obj->checkPermittedTea ($data_object->conn, $admin_id, $st_id)) {
		
		$data_object->closeDB();
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/login.php");
		exit;
	}
	
	$st_obj = new CStudentTableAccess();
	$st_data = $st_obj->getOneStudent($data_object->conn, $st_id);
	if ($st_data == false) {
		$data_object->closeDB();
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/login.php");
		exit;
	}
	$st_nam = $st_data["uname"];
	
	$practice_object = new CPracTableAccess();
	
	if ($practice_id <> "") {
		
		$practice_data = $practice_object->getDetailPracticeData($data_object->conn,$practice_id);
		if ($practice_data == false) {
			$err_msg .= "No Data Found";
		} else {
			$answer = intval($practice_data['answer']);
			$department_id = intval($practice_data['department']);
			$level_id = intval($practice_data['level']);
			$practice_title = htmlspecialchars($practice_data['practice_title'],ENT_QUOTES);
			$practice_text = htmlspecialchars($practice_data['practice_text'],ENT_QUOTES);
			$difficulty =intval($practice_data['exp_dif']);
			$status = intval($practice_data['status']);
			$comment = htmlspecialchars($practice_data['comment'],ENT_QUOTES);
			$cre_student_id = intval($practice_data['cre_student_id']);

			$img_file = $practice_data["img_file"];
			if ($img_file <> "") {
				$img_url = "<a href='#' onClick='changeImg(0)'>";

				$img_url .="<img src='".LOCAL_URL."img_files/prac_".$practice_id."/".$img_file."' width='300' height='200' />";
				$img_url .="</a>";
				$is_file_input_display = "none";
				$is_file_exist_display ="inline";
			}

			$av_file = $practice_data['av_file'];
			if ($av_file <> "" && $av_file <> null) {
				$av_url .="<embed src='".LOCAL_URL."av_files/prac_".$practice_id."/".$av_file."' width='300' height='200' />";
				$is_avfile_input_display = "none";
				$is_avfile_exist_display ="inline";
			}

			//$question_id = intval($practice_data['parent_question']);
			//if ($answer == 0) {
			if ($answer == 0 || $answer == 5 || $answer == 6) {
				$key_word_object = new CPracKeyWordTableAccess();
				if ($key_word_object->setKeyWordPerPracticeArr($data_object->conn, $practice_id)) {
					while ($key_word_data = $key_word_object->dbFetchArr()) {
						array_push($key_word_arr, htmlspecialchars($key_word_data['key_word_txt'],ENT_QUOTES));

					}
					$key_word_object->dbFreeResult();
				}

				$is_keyword_display = "inline";
				$is_item_display = "none";
			} else if ($answer == 1 || $answer == 2) {
				$item_object = new CPracItemTableAccess();
				if ($item_object->setItemPerPracticeArr($data_object->conn, $practice_id)) {
					while ($item_data = $item_object->dbFetchArr()) {
						array_push($item_bango_arr,htmlspecialchars($item_data['item_order'],ENT_QUOTES));
						array_push($item_txt_arr,htmlspecialchars($item_data['item_txt'],ENT_QUOTES));
						array_push($item_is_right_arr,$item_data['is_right']);
					}
					$item_object->dbFreeResult();
				}
				$is_keyword_display = "none";
				$is_item_display = "inline";
			}
			if ($st_id == $cre_student_id) $edit_disp = "inline";
		}
		

		$start_id = 0;
		if (isset($_GET['pgid']) && is_numeric($_GET['pgid'])) {
			$start_id = $_GET['pgid'];
		}
		$prac_com_object = new CPracticeComment();
		$prac_com_object->setCommentList($data_object->conn,$practice_id,$start_id,0);
		$comment_list = $prac_com_object->getCommentList();

		
		//ʬ
		$prac_ana_object = new CPracAnalysis();
		if (!$prac_ana_object->setPracInfo($data_object->conn, $practice_id,$st_id)) {
			$analysis_list = "No Data";
		} else {
			$prac_ana_object->setUsrShowListWithName($st_nam);
			$analysis_list = $prac_ana_object->getUsrShowList();
			$history = $prac_ana_object->getHistory();

		}
		//ʬ
		$prac_result_object = new CPracResTableAccess();
		if ($prac_result_object->setBunpuOfOnePrac($data_object->conn, $practice_id)) {
			while ($res = $prac_result_object->dbFetchArr()) {
				$bunpu .= "<tr><td>";
				$bunpu .= htmlspecialchars($res["answered"],3);
				if ($res["is_right"] == 1) {
					$bunpu .= "("._EXAM_STU_PRACTICE_RIGHT.")";
				}
				$bunpu .= "<br/></td><td>".$res["cnt"]."</td></tr>";
			}
			$prac_result_object->dbFreeResult();
		}
		

	}

	
	$dep_object = new CCreateDepSelect($data_object->conn);
	$dep_object->setDataForInput();
	$department_sel = $dep_object->getPullDown("department", $department_id);
	$dep_dat_arr  = $dep_object->getBasicData();

	$dif_object = new CCreateDifficSelect($data_object->conn);
	$dif_object->setDataForInput();
	$dif_sel = $dif_object->getRadioList ("dif", $difficulty);
	$dif_dat_arr = $dif_object->getBasicData();

	$lev_object = new CCreateTxtLevelSelect($data_object->conn);
	$lev_object->setDataForInput();
	$level_sel = $lev_object->getRadioList ("lev", $level_id);
	$lev_dat_arr = $lev_object->getBasicData();

	$data_object->closeDB();
}
$show_data = file_get_contents('../../templates/ad_moshi/one_prac_info.tpl');
$show_data = str_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);

$show_data = str_replace(':PRAC_TITLE_TXT:', $practice_title, $show_data);
$show_data = str_replace(':PRAC_TXT_REP:', $practice_text, $show_data);

//for ($i=0; $i<3; $i++) {
for ($i=0; $i<6; $i++) {
	$selected = "";
	if ($answer === $i) $selected = "SELECTED";
	$show_data = str_replace(":SELECTED_REP".$i.":", $selected, $show_data);

}

$show_data = str_replace(':DEP_SEL_REP:', $department_sel, $show_data);
$show_data = str_replace(':LEV_SEL_REP:', $level_sel, $show_data);
$show_data = str_replace(':DIF_SEL_REP:', $dif_sel, $show_data);

for ($i=0; $i<3; $i++) {
	$selected = "";
	if ($status === $i) $selected = "SELECTED";
	$show_data = str_replace(":ST_SELECTED_REP".$i.":", $selected, $show_data);
}
$show_data = str_replace(':COMMENT_REP:', $comment, $show_data);

for ($i=0; $i<10; $i++) {
	$key_word_txt = "";
	if (isset($key_word_arr[$i])) $key_word_txt = $key_word_arr[$i];
	$show_data = str_replace(':KEY_WORD'.$i.'_REP'.$i.':', $key_word_txt, $show_data);
}

for ($i=0; $i < 10; $i++) {
	$item_order = "";
	$item_txt = "";
	$is_right = 0;
	if (isset($item_bango_arr[$i])) {
		$item_order = $item_bango_arr[$i];
		$item_txt = $item_txt_arr[$i];
		$is_right = $item_is_right_arr[$i];
	}
	$show_data = str_replace(':BANGO_REP'.$i.':', $item_order, $show_data);
	$show_data = str_replace(':ITEM_TXT_REP'.$i.':', $item_txt, $show_data);
	if ($is_right == 1) {
		$show_data = str_replace(':IS_RIGHT'.$i.'_REP:', "CHECKED", $show_data);
	} else {
		$show_data = str_replace(':IS_RIGHT'.$i.'_REP:', "", $show_data);
	}
}

//$show_data = str_replace(':DEL_BUTTON_REP:', $for_del, $show_data);

$show_data = str_replace(':KEY_WORD_DISPLAY_REP:', $is_keyword_display, $show_data);
$show_data = str_replace(':ITEM_DISPLAY_REP:', $is_item_display, $show_data);

$show_data = str_replace(':PRA_ID_REP:', $practice_id, $show_data);
$show_data = str_replace(':QUE_ID_REP:', $question_id, $show_data);
$show_data = str_replace(':EDIT_DISP_REP:', $edit_disp, $show_data);

$show_data = str_replace(':IMG_VIEW_REP:', $img_url, $show_data);
$show_data = str_replace(':EXIST_FILE_NAME_REP:', $img_file, $show_data);
$show_data = str_replace(':FILE_INPUT_DISPLAY_REP:', $is_file_input_display, $show_data);
$show_data = str_replace(':FILE_EXIST_DISPLAY_REP:', $is_file_exist_display, $show_data);

//$show_data = str_replace(':PRAC_LIST_REP:', $prac_list_txt, $show_data);

$show_data = str_replace(':IS_ALREADY_FLAGED:', $is_already_flaged, $show_data);
$show_data = str_replace(':FLAG_SUBMIT_LABEL:', $flag_submit_label, $show_data);
$show_data = str_replace(':SHOW_OTHER_REP:', $show_other_disp, $show_data);
$show_data = str_replace(':SHARED_AD_REP:', $shared_emad_disp, $show_data);
$show_data = str_replace(':COMMENT_LIST_REP:', $comment_list, $show_data);
$show_data = str_replace(':ANALYSIS_LIST_REP:', $analysis_list, $show_data);
$show_data = str_replace(':CREATER_DISP_REP:', $creater_disp, $show_data);
$show_data = str_replace(':PRAC_DISP_REP:', $prac_disp, $show_data);
$show_data = str_replace(':TEXT_ID_REP:', $text_id, $show_data);
$show_data = str_replace(':ANA_HISTORY_REP:', $history, $show_data);
$show_data = str_replace(':ANA_BUNPU_REP:', $bunpu, $show_data);

$show_data = str_replace(':AV_VIEW_REP:', $av_url, $show_data);
$show_data = str_replace(':EXIST_AVFILE_NAME_REP:', $av_file, $show_data);
$show_data = str_replace(':AVFILE_INPUT_DISPLAY_REP:', $is_avfile_input_display, $show_data);
$show_data = str_replace(':AVFILE_EXIST_DISPLAY_REP:', $is_avfile_exist_display, $show_data);

$show_data = str_replace(':ST_NAM_REP:', htmlspecialchars($st_nam,3), $show_data);

echo $show_data;


?>