<?php
/*
 * ϻ»ܤ饹ΥС
 */


require_once '../../data/constant.php';

require_once '../../util/make_item.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../util/for_moshi.php';
require_once '../../data/data_for_test.php';
require_once '../../data/data_for_group.php';


ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

$ses_arr = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_arr['status'];
$admin_id=$ses_arr['teacher_id'];


if (!isset($_GET["moshi_id"]) || !is_numeric($_GET["moshi_id"]) || 
!isset($_GET["moshi_name"]) || !isset($_GET["class_id"]) || 
!is_numeric($_GET["class_id"]) || !isset($_GET["class_name"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}


$moshi_name = $_GET["moshi_name"];

$moshi_id = "";

$moshi_id = $_GET["moshi_id"];

$class_id = $_GET["class_id"];
$class_name = $_GET["class_name"];


$total_ave_score ="";
$total_ave_time_cnt="";
$total_user_cnt = "";
$total_ans_cnt="";



$class_ave_score ="";
$class_ave_time_cnt="";
$class_user_cnt = "";
$class_ans_cnt="";



$data_list = "";

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {

	$moshi_data_object = new CAnsToWholeMoshiTableAccess();
	if ($moshi_data_object->setTotalStaticData($data_object->conn, $moshi_id)) {
		while($res=$moshi_data_object->dbFetchArr()) {
			$total_ave_score=$res["avg_score"];
			$total_ave_time_cnt=$res["avg_dur"];
			$total_user_cnt=$res["ans_usr_num"];
			$total_ans_cnt=$res["cnt"];
			
		}
		$moshi_data_object->dbFreeResult();
	}

	$member_data_object = new CStudentInClassAccess ();
	$st_list=$member_data_object->getStudentsInClass($data_object->conn, $class_id);
	if ($st_list == false) {
		$data_list= "NO DATA";
		
	} else {
	

	//ĤνФƤ桼Τߤ򸫤
	$moshi_class_mem_object = new CMoshiClassMemHistory();
	
	//饹Τ
	if ($moshi_class_mem_object->setClassMoshiData ($data_object->conn, $moshi_id, $class_id)) {
		while ($res = $moshi_class_mem_object->dbFetchArr()) {
			$class_ave_score =$res["ave_score"];
			$class_ave_time_cnt=$res["ave_dur"];
			$class_user_cnt =$res["ucnt"];
			$class_ans_cnt=$res["ans_cnt"];
		}
		$moshi_class_mem_object->dbFreeResult();
	}
	
	
	$moshi_mem_arr = array();

	if (!$moshi_class_mem_object->setClassMemHistory ($data_object->conn,$moshi_id,$class_id, $admin_id)){
		$data_list= "No Data";
	} else {
		
		while ($res = $moshi_class_mem_object->dbFetchArr()) {
			$moshi_mem_arr[$res["student_id"]] = $res;
		}
		$moshi_class_mem_object->dbFreeResult();
		
		
		foreach ($st_list as $st_data) {
			$data_list .= "<tr>";
			if (isset ($moshi_mem_arr[$st_data["student_id"]])) {
				$data_list .= "<td><a href='ind_moshi_history.php?student_id=".$st_data["student_id"];
				$data_list .= "&moshi_id=".$moshi_id;
				$data_list .= "&uname=".urlencode($st_data["student_nam"]);
				
				$data_list .= "'>";
				
				$data_list .=htmlspecialchars($st_data["student_nam"],3)."</a></td>";
				$data_list .= "<td>".$moshi_mem_arr[$st_data["student_id"]]["ave_score"]."</td>";
				$data_list .= "<td>".$moshi_mem_arr[$st_data["student_id"]]["ans_cnt"]."</td>";
				$data_list .= "<td>".$moshi_mem_arr[$st_data["student_id"]]["ave_dur"]."</td>";
				
			} else {
				$data_list .= "<td>".htmlspecialchars($st_data["student_nam"],3);
				$data_list .= "</td><td><br/></td><td><br/></td><td><br/></td>";
				
			}
			
			$data_list .= "</tr>";
		}
		
	}
		
	}

}

$show_data = file_get_contents(TEMPLATE_DIR.'ad_moshi/class_moshi_mem_list.tpl');


$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);

$show_data = str_replace(':MOSHI_NAME_REP:', htmlspecialchars($moshi_name,3), $show_data);
$show_data = str_replace(':MOSHI_NAME_REP2:', urlencode($moshi_name), $show_data);

$show_data = str_replace(':CLASS_NAME_REP:', htmlspecialchars($class_name,3), $show_data);


$show_data = str_replace(':TOTAL_AVE_SCORE_REP:', round($total_ave_score,2), $show_data);
$show_data = str_replace(':TOTAL_AVETIME_CNT_REP:', round($total_ave_time_cnt,2), $show_data);
$show_data = str_replace(':TOTAL_ANS_USR_REP:', $total_user_cnt, $show_data);
$show_data = str_replace(':TOTAL_ANS_CNT_REP:', $total_ans_cnt, $show_data);

$show_data = str_replace(':CLASS_AVE_SCORE_REP:', round($class_ave_score,2), $show_data);
$show_data = str_replace(':CLASS_AVETIME_CNT_REP:', round($class_ave_time_cnt,2), $show_data);
$show_data = str_replace(':CLASS_ANS_USR_REP:', $class_user_cnt, $show_data);
$show_data = str_replace(':CLASS_ANS_CNT_REP:', $class_ans_cnt, $show_data);


$show_data = str_replace(':MOSHI_ID_REP:', $moshi_id, $show_data);

$show_data = str_replace(':DATA_LIST_REP:', $data_list, $show_data);

echo $show_data;

?>