<?php
require_once '../../data/constant.php';
require_once '../../util/make_item.php';
require_once '../../util/validate.php';
require_once '../../util/post_util.php';

require_once '../../data/db_access.php';
require_once '../../data/table_access.php';

require_once '../../util/change_util.php';

ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

$ses_arr = $_SESSION[SESSION_ADMIN];
$action_type = "";
$practice_title = "";
$practice_txt = "";
$ans_txt = "";
$dep = "";
$dep_name="";
$lev = "";
$lev_name="";
$dif = "";
$dif_name="";
$status = "";
$comment = "";
$err_msg = "";
$practice_id = "";
$item_list = "";
$back_file = "";
$question_id = "";
$is_able="";
$text_id = "";
$image_view = "";
$image_file = "";
$img_loc = "";

$av_view = "";
$av_file = "";
$av_loc = "";

$file_arr = array();

if (isset($_POST['action_type'])) {
	$action_type = $_POST['action_type'];
}

if ($action_type == "insert") {
	$back_file ="insert_form.php";
} else if ($action_type == "update" && isset($_POST["up_id"])) {
	$back_file = "mod_form.php?practice_id=".intval($_POST["up_id"]);
} else if ($action_type == "from_question" && isset($_POST["question_id"])) {
	$back_file = "from_question_form.php?question_id=".intval($_POST["question_id"]);
	$question_id = $_POST["question_id"];
	/*
	if (isset($_POST["text_id"]) && $_POST["text_id"]<>""
		&& isset($_POST["exist_img"]) && $_POST["exist_img"] <> "") {
		$text_id=intval($_POST["text_id"]);

		$image_view = "<img src='".LOCAL_URL."img_files/".$text_id."/".htmlspecialchars($_POST["exist_img"],ENT_QUOTES)."' width='300' height='200' />";
	}
	*/
	if (isset($_POST["text_id"]) && $_POST["text_id"]<>"") {
		$text_id=intval($_POST["text_id"]);
		if (isset($_POST["exist_img"]) && $_POST["exist_img"] <> "") {
		$image_view = "<img src='".LOCAL_URL."img_files/".$text_id."/".htmlspecialchars($_POST["exist_img"],ENT_QUOTES)."' width='300' height='200' />";
		}
		if (isset($_POST["exist_av"]) && $_POST["exist_av"] <> "") {
		$av_view = "<embed src='".LOCAL_URL."av_files/".$text_id."/".htmlspecialchars($_POST["exist_av"],ENT_QUOTES)."' width='300' height='200' />";
		}
	}
}else {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

$practice_title = chPostToForm($_POST["practice_title"]);
$practice_txt = chPostToForm($_POST["practice_txt"]);
$ans_txt = htmlspecialchars($_POST["ans_txt"],ENT_QUOTES);
$dep = htmlspecialchars($_POST["department"],ENT_QUOTES);
$lev = htmlspecialchars($_POST["lev"],ENT_QUOTES);
$dif = htmlspecialchars($_POST["dif"],ENT_QUOTES);
$status = htmlspecialchars($_POST["status"],ENT_QUOTES);
$practice_id = htmlspecialchars($_POST["up_id"],ENT_QUOTES);
$comment = chPostToForm($_POST["comment"]);
$text_id = intval($_POST["text_id"]);


//var_dump($_FILES['img_file']);
if (isset($_FILES['img_file']) && $_FILES['img_file']['name'] <> "") {
	if (!mb_eregi("\.gif|\.jpg|\.jpeg|\.png|\.bmp$",$_FILES['img_file']['name'])) {
		$err_msg .= "Irregal File TYPE";
	} else {
		$write_img = "img_".time()."_".$ses_arr['teacher_id'];
		$img_loc = DOC_ROOT."img_files/".$write_img;
		$_SESSION["tmp_img"] = $write_img;
		if (!is_dir($img_loc)) {
			mkdir($img_loc,0777);
		}
		if (!move_uploaded_file($_FILES['img_file']['tmp_name'], $img_loc."/".$_FILES['img_file']['name'])) {
			$err_msg .=_EXAM_TEA_IMG_WRITE_ERR;
		} else {

			$image_file = $_FILES['img_file']['name'];
			$image_view = "<img src='".LOCAL_URL."img_files/".$write_img."/".$image_file."' width='300' height='200' />";
			//$input_inf_arr['img_file'] =$_FILES['img_file']['name'];
			//$input_inf_arr['tmp_img_dir']= $img_loc;
		}

	}
	unset($_FILES['img_file']);
} else if (isset($_POST["exist_img"]) && $_POST["exist_img"] <> ""){
	$image_file = $_POST["exist_img"];

	if (is_numeric($practice_id)) {
		$image_view = "<img src='".LOCAL_URL."img_files/prac_".$practice_id."/".$image_file."' width='300' height='200' />";
	}
}

if (isset($_FILES['av_file']) && $_FILES['av_file']['name'] <> "") {

	if (!mb_eregi("\.asf|\.wma|\.wmv|\.asx|\.wax|\.wvx|\.cda|\.mid|\.midi|\.wav|\.snd|\.au|\.aif|\.aifc|\.aiff|\.avi|\.mpg|\.mpeg|\.mp3|\.mp4|\.mov|\.swf|\.flv$",$_FILES["av_file"]["name"])) {
		$err_msg .= "Irregular Av File.<br/>";
	} else {
		$write_av = "av_".time()."_".$ses_arr['teacher_id'];
		$av_loc = DOC_ROOT."av_files/".$write_av;
		$_SESSION["tmp_av"] = $write_av;
		if (!is_dir($av_loc)) {
			mkdir($av_loc,0777);
		}
		if (!move_uploaded_file($_FILES['av_file']['tmp_name'], $av_loc."/".$_FILES['av_file']['name'])) {
			$err_msg .=_EXAM_TEA_AV_WRITE_ERR;
		} else {
			$av_file = $_FILES['av_file']['name'];
			$av_view = "<embed src='".LOCAL_URL."av_files/".$write_av."/".$av_file."' width='300' height='200' />";
		}
	}
	unset($_FILES['av_file']);
} else if (isset($_POST["exist_av"]) && $_POST["exist_av"] <> ""){
	$av_file = $_POST["exist_av"];
	if (is_numeric($practice_id)) {
		$av_view = "<embed src='".LOCAL_URL."av_files/prac_".$practice_id."/".$av_file."' width='300' height='200' />";
	}
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {

	$dep_object = new CDepartmentTableAccess();
	$dep_data = $dep_object->getDetailDepartmentData($data_object->conn, $dep);
	if ($dep_data <> false) {
		$dep_name = htmlspecialchars($dep_data['department_nam'],ENT_QUOTES);
	} else {
		$dep_name = _COMMON_NOTSET_TXT;
	}

	$dif_object = new CDifficultyTableAccess();
	$dif_data = $dif_object->getDetailDifficData($data_object->conn, $dif);
	if ($dif_data <> false) {
		$dif_name = htmlspecialchars($dif_data['difficulty_nam'],ENT_QUOTES);
	} else {
		$dif_name = _COMMON_NOTSET_TXT;
	}

	$lev_object = new CTxtLevelTableAccess();
	$lev_data = $lev_object->getDetailTxtLevelData($data_object->conn, $lev);
	if ($lev_data <> false) {
		$lev_name = htmlspecialchars($lev_data['txt_level_nam'],ENT_QUOTES);
	} else {
		$lev_name = _COMMON_NOTSET_TXT;
	}

	$data_object->closeDB();
}

for ($i=0; $i < 10; $i++) {
	//if ($ans_txt == 0) {
	if ($ans_txt == 0 || $ans_txt == 5 || $ans_txt == 6) {
		if ($_POST["key_word".$i] <> "") {
		$item_list .= htmlspecialchars($_POST["key_word".$i],ENT_QUOTES);
		$item_list .= "<input type='hidden' name='key_word".$i."'";
		$item_list .= "value='".htmlspecialchars($_POST["key_word".$i],ENT_QUOTES)."'/><br/>";
		}
	} else {
		if ($_POST["item_bango".$i] <> "") {
		$item_list .= htmlspecialchars($_POST["item_bango".$i],ENT_QUOTES).". ";
		$item_list .= "<input type='hidden' name='item_bango".$i."'";
		$item_list .= "value='".htmlspecialchars($_POST["item_bango".$i],ENT_QUOTES)."'/>";

		$item_list .= source2Html($_POST["item_txt".$i])." ";
		$item_list .= "<input type='hidden' name='item_txt".$i."'";
		$item_list .= "value='".htmlspecialchars($_POST["item_txt".$i],ENT_QUOTES)."'/>";

		if (isset($_POST["is_right".$i]) && $_POST["is_right".$i] ==1) {
			$item_list .= _EXAM_TEA_OPTION_RIGHT_ANS;
			$item_list .= "<input type='hidden' name='is_right".$i."'";
			$item_list .= "value=1 /><br/>";
		} else {
			$item_list .= "<input type='hidden' name='is_right".$i."'";
			$item_list .= "value=0 /><br/>";
		}
		}
	}
}

if ($err_msg <> "") $is_able = "DISABLED";

$show_data = file_get_contents('../../templates/ad_practice/practice_confirm.tpl');
$show_data = str_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);

$show_data = str_replace(':TITLE_REP:', $practice_title, $show_data);
$show_data = str_replace(':TEXT_REP1:', text2Html(nl2br($practice_txt)), $show_data);
$show_data = str_replace(':TEXT_REP2:', $practice_txt, $show_data);
$show_data = str_replace(':ANS_REP1:', $QUEST_TYPE_ARR2[$ans_txt], $show_data);
$show_data = str_replace(':ANS_REP2:', $ans_txt, $show_data);
$show_data = str_replace(':DEP_REP1:', $dep_name, $show_data);
$show_data = str_replace(':DEP_REP2:', $dep, $show_data);
$show_data = str_replace(':LEV_REP1:', $lev_name, $show_data);
$show_data = str_replace(':LEV_REP2:', $lev, $show_data);
$show_data = str_replace(':DIF_REP1:', $dif_name, $show_data);
$show_data = str_replace(':DIF_REP2:', $dif, $show_data);
$show_data = str_replace(':STATUS_REP1:', $PRAC_STATUS_ARR[$status], $show_data);
$show_data = str_replace(':STATUS_REP2:', $status, $show_data);

$show_data = str_replace(':IMG_VIEW_REP:', $image_view, $show_data);
//$show_data = str_replace(':TMP_IMG_LOC_REP:', $img_loc, $show_data);
$show_data = str_replace(':TMP_IMG_FILE_REP:', $image_file, $show_data);

$show_data = str_replace(':AV_VIEW_REP:', $av_view, $show_data);
$show_data = str_replace(':TMP_AV_FILE_REP:', $av_file, $show_data);

$show_data = str_replace(':COMMENT_REP:', text2Html(nl2br($comment)), $show_data);
$show_data = str_replace(':COMMENT_REP2:', $comment, $show_data);
$show_data = str_replace(':ITEM_LIST_REP:', $item_list, $show_data);

$show_data = str_replace(':PRA_ID_REP:', $practice_id, $show_data);
$show_data = str_replace(':QUE_ID_REP:', $question_id, $show_data);
$show_data = str_replace(':TEXT_ID_REP:', $text_id, $show_data);

$show_data = str_replace(':ACT_TYPE_REP:', $action_type, $show_data);
$show_data = str_replace(':BACK_FILE_REP:', $back_file, $show_data);
$show_data = str_replace(':IS_ABLE_REP:', $is_able, $show_data);
$show_data = str_replace(':EXIST_FILE_NAME_REP:', $image_file, $show_data);
$show_data = str_replace(':EXIST_AVFILE_NAME_REP:', $av_file, $show_data);

echo $show_data;
?>